WordPress.org

Support

Support » Plugins and Hacks » [Resolved] Conflict with WP v3.6

[Resolved] Conflict with WP v3.6

  • Hello,

    This is a wonderful plugin, but unfortunately with WP version 3.6 release it breaks. Upon installation this notice appears in WP:

    The plugin generated 810 characters of unexpected output during activation. If you notice “headers already sent” messages, problems with syndication feeds or other issues, try deactivating or removing this plugin.

    Trying to load audit log then generates a javascript error, thusly:

    SyntaxError: JSON.parse: unexpected character
    http://www.example.com/wp-admin/load-scripts.php?c=0&load%5B%5D=jquery-core,jquery-migrate,utils&ver=3.6
    Line 4

    Saving a page or post then produces this error:

    Warning: Missing argument 2 for wpdb::prepare(), called in /home/account_name/public_html/wp-content/plugins/wp-security-audit-log/inc/WPPHEvent.php on line 202 and defined in /home/account_name/public_html/wp-includes/wp-db.php on line 992
    
    Warning: Cannot modify header information - headers already sent by (output started at /home/account_name/public_html/wp-includes/wp-db.php:992) in /home/account_name/public_html/wp-admin/post.php on line 222
    
    Warning: Cannot modify header information - headers already sent by (output started at /home/account_name/public_html/wp-includes/wp-db.php:992) in /home/account_name/public_html/wp-includes/pluggable.php on line 875

    And finally, logging in or out produces this error:

    Warning: Missing argument 2 for wpdb::prepare(), called in /home/account_name/public_html/wp-content/plugins/wp-security-audit-log/inc/WPPHEvent.php on line 202 and defined in /home/account_name/public_html/wp-includes/wp-db.php on line 992
    
    Warning: Cannot modify header information - headers already sent by (output started at /home/account_name/public_html/wp-includes/wp-db.php:992) in /home/account_name/public_html/wp-includes/pluggable.php on line 875

    Is there an update planned for this plugin?

    Thanks,
    Jason

    http://wordpress.org/plugins/wp-security-audit-log/

Viewing 3 replies - 1 through 3 (of 3 total)
  • Plugin Author WPWhiteSecurity

    @wpwhitesecurity

    Hi Jason,

    Thank you for showing interest in our plugin and sorry for the delayed response. Been busy working on releasing a new update of the plugin.

    These known issues were all fixed and now the new plugin contains a lot of new features as well. More details in the release notes.

    Let us know if you have any issues.

    Have a good day.

    That is fantastic. Thank you! Do you have plans to incorporate the alerts into a settings page? Would be nice to be able to ignore post status (though I think it’s great you added that for those that want to track it).

    Thanks again; great plugin!
    Jason

    Plugin Author WPWhiteSecurity

    @wpwhitesecurity

    Hi Jason,

    I am glad you like the plugin. Yeah we have a lot of features in the pipeline. The plugin is still in its very early stages.

    We will try to make more frequent releases though. Drop us an email on plugins@wpwhitesecurity.com if you would like to join the plugin mailing list.

    Have a great day and stay secure!

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘[Resolved] Conflict with WP v3.6’ is closed to new replies.